        #map {
            width: 100%;
            height: 100vh;
            display: flex;
            flex-direction: column;
        }
        .popup-content {
            max-width: 300px;
            padding: 10px;
            font-size: 16px;
        }
        .popup-content strong{
            color: #444;
        }
        .leaflet-container {
            filter: grayscale(100%);
        }
        .prison-popup {
            line-height: 1.5;
            color: #444;
        }
        .prison-popup strong{
            color: #444;
        }
        .label {
            font-size: 10px;
            color: #888;
            margin-left: 5px;
        }
        .labelP {
            font-size: 12px;
            color: #666;
            font-weight: bold;
            margin-left: 5px;
        }
        .distance-time {
            display: flex;
            justify-content: space-between;
        }
        .location {
            text-align: left;
        }
        .details {
            text-align: right;
            color: #444;
        }
        @media only screen and (max-width: 768px) {
            #map {
                height: 80vh;
            }
            .popup-content {
                font-size: 14px;
            }
        }